<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Document</title>
    </head>
    <body>

        <div>
            <p>Subscribing!</p>
        </div>
        <div class="pianoid"></div>

        <script src="./javascripts/app.js"></script>
        <script>
            tp = window["tp"] || [];

            //event handler to fire after logging in to provide a user state object to use on amp pages for personalization.
            //login Success and user State are optional. checkoutComplete and tp.push(["init"]) are necessary.
            tp.push(["addHandler", "loginSuccess", function(data){
                tp.amp.login({
                    userState: {
                        "firstName": tp.pianoId.getUser().firstName
                    }
                });
            }])

            tp.push(["addHandler", "checkoutComplete", function(conversion){ 
                window.close();
            }]);

            //Code for showing only one term of an offer
            tp.push(["init", function() {
                tp.offer.show({offerId:`${offerId}`, termId:[`${termId}`]})
            }]);

        </script>
    </body>
</html>